unit WVelPeriodGr;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  GraphBase, ActnList, Placemnt, ExtCtrls, TeeProcs, TeEngine, Chart,
  ComCtrls, ToolWin,data, Series;

type
  TfmWVelPeriodGr = class(TfmGraphBase)
    Series1: TFastLineSeries;
  private
    { Private declarations }
  public
    { Public declarations }
    procedure AssignWindData(WData : TMeasurments);
  end;

var
  fmWVelPeriodGr: TfmWVelPeriodGr;

implementation

{$R *.DFM}

{ TfmWVelPeriodGr }

procedure TfmWVelPeriodGr.AssignWindData(WData: TMeasurments);
var
 i : integer;
 dtBase : TDateTime;
begin
  dtBase := EncodeDate(1991,1,1);
  Series1.Clear;
  with WData do
  for i:=0 to Count-1 do
   Series1.AddXY(dtBase+i/24,WindVelocity[i]);
end;

end.
